Sphinx 3 autodoc no longer accepts autodoc_default_flags and autodoc_default_options should be used

5 jobs for master in 5 minutes and 11 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Build
failed #216286
docker
build_linux_36

00:02:43

failed #216287
docker
build_linux_37

00:02:40

failed #216284
macosx
build_macosx_36

00:05:11

failed #216285
macosx
build_macosx_37

00:02:09

 
  Deploy
skipped #216288
docker
deploy_beta
 
Name Stage Failure
failed
build_macosx_36 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"bob.blitz[version='>=2.0.23b.0,<3.0a0']", "libcxx[version='>=10.0.0']", "numpy[version='>=1.14.6,<2.0a0']", 'six', "numpy[version='>=1.15.4,<2.0a0|>=1.16.6,<2.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libblitz[version='>=1.0.1,<1.0.2.0a0']", 'tzdata', "six[version='>=1.5']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.9,<3.10.0a0']", "jpeg[version='>=9b,<10a']", "python[version='>=3.5|>=3.7,<3.8.0a0|>=3.6,<3.7.0a0']", 'pytz', "libpng[version='>=1.6.32,<1.7.0a0|>=1.6.34,<1.7.0a0|>=1.6.35,<1.7.0a0|>=1.6.36,<1.7.0a0|>=1.6.37,<1.7.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "libcxx[version='>=10.0.0|>=4.0.1']", "numpy[version='>=1.16.6,<2.0a0|>=1.17.4,<2.0a0']", "xz[version='>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "bob.extension[version='>=5.0.2b.0,<6.0a0']", "libcxxabi==4.0.1[build='hebd6815_0|hcfea43d_1']", "libcxx[version='>=4.0.1']", "zlib[version='>=1.2.11,<1.3.0a0']", "boost[version='>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "xz[version='>=5.2.3,<6.0a0|>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "bob.core[version='>=2.2.7b.0,<3.0a0']", "zstd[version='>=1.4.5,<1.4.6.0a0']", 'setuptools', 'ca-certificates', "zstd[version='>=1.3.7,<1.3.8.0a0|>=1.4|>=1.4.4,<1.5.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=64042 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1
failed
build_linux_36 Build
  File "/scratch/builds/bob/bob.io.image/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"zstd[version='>=1.3.7,<1.3.8.0a0|>=1.4|>=1.4.4,<1.5.0a0']", "libstdcxx-ng[version='>=7.2.0|>=7.3.0']", "icu[version='>=58.2,<59.0a0']", "six[version='>=1.5']", 'six', "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", '_libgcc_mutex=[build=main]', "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", 'tzdata', "numpy[version='>=1.14.6,<2.0a0']", "zlib[version='>=1.2.11,<1.3.0a0']", "bob.blitz[version='>=2.0.23b.0,<3.0a0']", "libgcc-ng[version='>=7.2.0|>=7.3.0']", 'ca-certificates', "libstdcxx-ng[version='>=7.2.0']", 'python', 'setuptools', "libpng[version='>=1.6.32,<1.7.0a0|>=1.6.34,<1.7.0a0|>=1.6.35,<1.7.0a0|>=1.6.36,<1.7.0a0|>=1.6.37,<1.7.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "xz[version='>=5.2.3,<6.0a0|>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "libgcc-ng[version='>=7.2.0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.9,<3.10.0a0']", "libblitz[version='>=1.0.1,<1.0.2.0a0']", "jpeg[version='>=9b,<10a']", "zstd[version='>=1.4.5,<1.4.6.0a0']", "libstdcxx-ng[version='>=7.3.0']", "python[version='>=3.5|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "numpy[version='>=1.15.4,<2.0a0|>=1.16.6,<2.0a0']", 'pytz', "bob.extension[version='>=5.0.2b.0,<6.0a0']", "xz[version='>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "boost[version='>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "libgcc-ng[version='>=7.3.0']", "bob.core[version='>=2.2.7b.0,<3.0a0']", "numpy[version='>=1.16.6,<2.0a0|>=1.17.4,<2.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1
failed
build_linux_37 Build
  File "/scratch/builds/bob/bob.io.image/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {'_libgcc_mutex=[build=main]', "numpy[version='>=1.15.4,<2.0a0|>=1.16.6,<2.0a0']", "libstdcxx-ng[version='>=7.2.0|>=7.3.0']", "numpy[version='>=1.14.6,<2.0a0']", 'setuptools', "libpng[version='>=1.6.32,<1.7.0a0|>=1.6.34,<1.7.0a0|>=1.6.35,<1.7.0a0|>=1.6.36,<1.7.0a0|>=1.6.37,<1.7.0a0']", "bob.core[version='>=2.2.7b.0,<3.0a0']", "zstd[version='>=1.4.5,<1.4.6.0a0']", "boost[version='>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "zstd[version='>=1.3.7,<1.3.8.0a0|>=1.4|>=1.4.4,<1.5.0a0']", "libgcc-ng[version='>=7.2.0']", 'six', "zlib[version='>=1.2.11,<1.3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", "bob.blitz[version='>=2.0.23b.0,<3.0a0']", "python[version='>=3.5|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.9,<3.10.0a0']", "icu[version='>=58.2,<59.0a0']", "libblitz[version='>=1.0.1,<1.0.2.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "xz[version='>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", 'pyparsing', 'ca-certificates', "six[version='>=1.5']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "pyparsing[version='>=2.0.3,!=2.0.4,!=2.1.2,!=2.1.6']", "xz[version='>=5.2.3,<6.0a0|>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "jpeg[version='>=9b,<10a']", "bob.extension[version='>=5.0.2b.0,<6.0a0']", 'tzdata', 'python', "pyparsing[version='>=2.0.2']", "libgcc-ng[version='>=7.2.0|>=7.3.0']", "libstdcxx-ng[version='>=7.2.0']", "numpy[version='>=1.16.6,<2.0a0|>=1.17.4,<2.0a0']", "libstdcxx-ng[version='>=7.3.0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0|>=3.7,<3.8.0a0']", "libgcc-ng[version='>=7.3.0']"}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1
failed
build_macosx_37 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"python[version='>=3.9,<3.10.0a0']", 'setuptools', "libcxxabi==4.0.1[build='hebd6815_0|hcfea43d_1']", "bob.extension[version='>=5.0.2b.0,<6.0a0']", "numpy[version='>=1.15.4,<2.0a0|>=1.16.6,<2.0a0']", "boost[version='>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "pyparsing[version='>=2.0.3,!=2.0.4,!=2.1.2,!=2.1.6']", "jpeg[version='>=9b,<10a']", 'six', "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libcxx[version='>=10.0.0|>=4.0.1']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", "bob.core[version='>=2.2.7b.0,<3.0a0']", "libcxx[version='>=4.0.1']", "zlib[version='>=1.2.11,<1.3.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", 'pytz', 'pyparsing', "bob.blitz[version='>=2.0.23b.0,<3.0a0']", "xz[version='>=5.2.3,<6.0a0|>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "numpy[version='>=1.14.6,<2.0a0']", "zstd[version='>=1.4.5,<1.4.6.0a0']", "python[version='>=3.5|>=3.7,<3.8.0a0|>=3.6,<3.7.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "libpng[version='>=1.6.32,<1.7.0a0|>=1.6.34,<1.7.0a0|>=1.6.35,<1.7.0a0|>=1.6.36,<1.7.0a0|>=1.6.37,<1.7.0a0']", "six[version='>=1.5']", 'ca-certificates', "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "libcxx[version='>=10.0.0']", 'python', "xz[version='>=5.2.4,<6.0a0|>=5.2.5,<6.0a0']", "zstd[version='>=1.3.7,<1.3.8.0a0|>=1.4|>=1.4.4,<1.5.0a0']", 'tzdata', "numpy[version='>=1.16.6,<2.0a0|>=1.17.4,<2.0a0']", "libblitz[version='>=1.0.1,<1.0.2.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=60205 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1